<?php
class NodeRPC_Service_Example extends NodeRPC_Service_Abstract {

    public function init() {
        $this->serviceName = 'example';
        $this->serviceDefinition = array(
			'add'=>
			array(
				'params'=>
				array(
					0=>
					array(
						'name'=>'operand1',
						'type'=>'number',
					),
					1=>
					array(
						'name'=>'operand2',
						'type'=>'number',
					),
				),
				'description'=>'Addstwonumbers',
			),
		);
    }


    /**
     * Adds two numbers
      * @param number $operand1
      * @param number $operand2
      */
    public function add($operand1, $operand2) {
        return $this->proxyCall('add', func_get_args());
    }
}